ChangeSet 1.1595.7.10, 2003/07/30 13:00:47-07:00, bellucda@tiscali.it

[PATCH] USB: Audit usb_register in usbmouse_init()


 drivers/usb/input/usbmouse.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/input/usbmouse.c b/drivers/usb/input/usbmouse.c
--- a/drivers/usb/input/usbmouse.c	Fri Aug  1 10:55:30 2003
+++ b/drivers/usb/input/usbmouse.c	Fri Aug  1 10:55:30 2003
@@ -247,9 +247,10 @@
 
 static int __init usb_mouse_init(void)
 {
-	usb_register(&usb_mouse_driver);
-	info(DRIVER_VERSION ":" DRIVER_DESC);
-	return 0;
+	int retval = usb_register(&usb_mouse_driver);
+	if (retval == 0) 
+		info(DRIVER_VERSION ":" DRIVER_DESC);
+	return retval;
 }
 
 static void __exit usb_mouse_exit(void)
